MINIDUMPER(1)

NAME
minidumper - Write minidump from WIN32PID to FILENAME.dmp

SYNOPSIS

minidumper [-d] [-n] [-q] [-t TYPE] FILENAME WIN32PID

minidumper -h | -V

OPTIONS

    -t, --type     minidump type flags
    -n, --nokill   don't terminate the dumped process
    -d, --verbose  be verbose while dumping
    -h, --help     output help information and exit
    -q, --quiet    be quiet while dumping (default)
    -V, --version  output version information and exit

DESCRIPTION

The minidumper utility can be used to create a minidump of a running Windows process. This minidump can be later analysed using breakpad or Windows debugging tools.

minidumper can be used with cygwin's Just-In-Time debugging facility by adding error_start=minidumper to the CYGWIN environment variable. If CYGWIN is set this way, then minidumper will be started whenever a program encounters a fatal exception.

minidumper can also be started from the command line to create a minidump of any running process. For compatibility with dumper the target process is terminated after dumping unless the -n option is given.

COPYRIGHT

Copyright © Cygwin authors

Permission is granted to make and distribute verbatim copies of this documentation provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this documentation under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this documentation into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Free Software Foundation.